Zip2Go – Übersicht

Verwenden Sie die Zip2Go-Funktion, um die Daten des geöffneten (aktuellen) Mastercam-Teils in einer .Z2G Datei zusammenzufassen und zu komprimieren. Diese Datei kann anschließend mit den meisten Komprimier-Programmen wie WinZip™ geöffnet und angezeigt werden. Die Funktion eignet sich besonders zum Versenden von Datei-Daten an den technischen Support.

Zip2Go durchsucht die Maschinengruppen in Ihrer aktuellen Datei und erfasst bestimmte Daten, wie beispielsweise Ihre Mastercam-Konfiguration, Maschinendefinition, Postprozessordateien, Werkzeug- und Materialbibliotheken, Drahten-Leistungsbibliotheken, ATP- und STL-Dateien, sowie Maschinengruppen-Voreinstellungen und Operationsdateien (siehe Beispiel unten).

Ferner werden die folgenden Reporttypen in einem schreibgeschützten .txt-Format erstellt (Klicken Sie unten auf die grünen Text-Links, um weitere Informationen dazu aufzurufen):

Zip2Go_teiledateinamehier.txt

Enthält eine Zusammenstellung relevanter Dateien, die von jeder Maschinengruppe in der gescannten Mastercam Teiledatei verwendet werden. Zum Beispiel:

  • Dateiname und -pfad mit Datum- und Zeitstempel

  • Verwendete Mastercam-Version und Maßeinheit (Inch oder metrisch)

  • Voreinstellungen und Operations-Dateien (inkl. Drahten-Leistungsbibliotheken)

  • Eigene Werkzeuge für Fräsen, Router und Drehen

  • Fräsen/Router STL-Dateien

Zip2Go_System-Report.txt

Enthält Informationen über das Computer-System, auf dem die *.Z2G Datei erstellt wurde. Beispiel:

  • Die Version von Microsoft Windows.

  • Die Größe des Arbeitsspeichers auf Ihrem Computer.

  • Details zur installierten Grafikkarte.

  • Registrierungseinstellungsdaten, die von Mastercam verwendet werden (die „CNC-Software Inc.“ -Registrierungsschlüssel unter HKCU (HOT KEY CURRENT USER) und HKLM (HOT KEY LOKAL MACHINE).

Zip2Go_Datei-Report.txt

Enthält Informationen über alle Dateien für Mastercam. Es werden nur die Systemordner der Anwendung gescannt. Die Ordner für Fräsen, Drehen, Router und Drahten (und einige der Unterverzeichnisse) im Mastercam-Installationsverzeichnis (MCAMX) werden nicht durchsucht. Darüberhinaus werden keine Teiledateien aus einem gescannten Ordner in diese Liste einbezogen. Dadurch wird gewährleistet, dass die Datenzusammenstellung niemals vertrauliche Informationen enthält.

Zip2Go_HASP.txt

Enthält Daten des Mastercam-HASPs über alle Dateien von Mastercam, einschließlich der HASP-Seriennummer und der Produktlizenzen auf dem HASP. Es wird außerdem überprüft, ob die Softwarewartung von Mastercam aktiviert ist. In diesem Fall enthält der Report auch das Ablaufdatum der Softwarewartung.

Siehe auch...

  • Zip2Go – Verwendung

  • Zip2Go – Hauptfenster

  • C-Hooks und NET-Hooks

  • Dialogfeld „Konfiguration“ (Zip2Go)

Kommentare oder Fragen zu diesem Thema? Schreiben Sie uns!


Dialogfeld &bdquo;Kennwort wählen“

Dialogfeld „Kennwort wählen“

Verschlüsseln Sie mit Hilfe dieses Dialogfelds Dateien, die dem Zip2Go-Archiv hinzugefügt werden sollen. Geben Sie nach dem Erstellen einer .Z2G Datei ein Kennwort in dieses Feld ein und klicken Sie auf OK. Dateien, die nach dem Einstellen des Kennworts hinzugefügt werden, werden durch dieses verschlüsselt.

Hinweis:

  • Es ist nicht möglich, Dateien zu verschlüsseln, die dem Z2G-Paket automatisch hinzugefügt werden. Wenn alle Dateien in einem Zip2Go-Archiv verschlüsselt werden sollen, klicken Sie auf „Datei“, „Neu“ um eine leere Datei zu erstellen. Legen Sie dann das gewünschte Kennwort fest und klicken Sie auf die Schaltfläche „Zip2Go anlegen“. Alle hinzugefügten Dateien werden nun durch dieses Kennwort verschlüsselt.

Achtung:

  • Ihr Kennwort wird durch Mastercam nicht aufgezeichnet. Ist ein Kennwort einmal eingegeben, kann es nicht mehr geändert werden. Sollten Sie ihr Kennwort vergessen, können Sie nicht mehr auf die verschlüsselten Dateien zugreifen. Merken Sie sich ihre Passwörter deswegen gut.

Weitere Informationen zu...

  • Zip2Go – Übersicht

  • Zip2Go – Hauptfenster

  • Zip2Go – Verwendung


Dialogfeld &bdquo;Dateikommentar“

Dialogfeld „Dateikommentar“

Erstellen, Ändern oder Löschen Sie mit Hilfe dieses Dialogfelds den Kommentar-Anhang der .Z2G Datei. Der in dieses Fenster eingegebene Text kann von jedem gelesen und geändert werden, der das Zip2Go-Archiv öffnet, einschließlich Mitarbeiter des Technischen Supports von Mastercam.

Hinweis:

  • Beim Öffnen einer .Z2G Datei mit WinZip kann automatisch ein Dialogfeld mit diesem Kommentar erscheinen. Dies ist eine Standardfunktion von WinZip. Um dieses Verhalten zu ändern, müssen Sie das Kontrollkästchen „Beim Öffnen eines Archivs Kommentar anzeigen“ unten im Dialogfeld deselektieren oder Ihre WinZip-Konfigurationseinstellungen ändern.

Weitere Informationen zu...

  • Zip2Go – Übersicht


Zip2Go – Verwendung

Wenn Sie eine Zip2Go-Datei entweder an den Technischen Support von CNC Software oder ihren Mastercam-Vertriebspartner verschicken wollen, gehen Sie bitte folgendermaßen vor:

  1. Starten Sie Mastercam gegebenenfalls und öffnen Sie Ihre Teile-Datei.

  2. Klicken Sie in der Menüleiste von Mastercam auf Hilfe, Zip2Go Utility.

  3. Bei der erstmaligen Verwendung von Zip2Go müssen Sie den Speicherort für die Zip-Dateien festlegen. Klicken Sie auf Konfiguration und legen Sie den gewünschten Pfad fest.

  4. Wählen Sie den Dateityp, der in der ZIP-Datei enthalten sein soll.

    • Im Bereich Maschinengruppenarten werden alle in der Teiledatei verwendeten Maschinentypen angezeigt. Sie können wählen, nur die Daten einzubeziehen, die zu einem bestimmten Maschinentyp gehören.

    • Im Bereich Dateioptionen werden die verschiedenen Dateiarten angezeigt, die Sie wählen können. Mastercam speichert eine Kopie der ausgewählten Dateien in der ZIP-Datei. Wenn Sie keine Dateitypen auswählen, erzeugt Mastercam dennoch eine ZIP-Datei, die die Teile-Datei, die Maschinen- und Steuerungsdefinition sowie die Reporte enthält.
      Hinweis: Wenn nur eine „Mill / Turn“-Maschinengruppe ausgewählt ist, stehen einige der Datei-Optionen nicht zur Verfügung, weil sie bereits in der Maschinendefinition enthalten sind.

  5. Klicken Sie auf die Schaltfläche Zip2Go anlegen. Mastercam erzeugt eine komprimierte (gezippte) Datei mit der Dateiendung *.Z2G in dem von Ihnen festgelegten Verzeichnis.

  6. Klicken Sie auf Datei, Archiv verschicken.... Ihr standardmäßiges E-Mail-Programm erzeugt daraufhin automatisch eine leere Email mit der Z2G-Datei als Anhang.

Hinweise:

  • Markieren Sie das Kontrollkästchen WZ-Wege im Bereich Dateioptionen, damit die NC-Dateien einbezogen werden, auf die im Werkzeugweg-Manager verwiesen wird. Diese Option funktioniert nur dann korrekt, wenn Sie die NC-Datei bereits gepostet und gespeichert haben. Zip2Go bezieht nur NC-Dateien mit ein, deren Namen mit denen im Werkzeugweg-Manager übereinstimmen. Wenn Sie die NC-Datei unter einem anderen Namen gespeichert haben, kann Zip2Go sie nicht hinzufügen.

  • Zip2Go erzeugt automatisch Dateien mit der Dateiendung *.Z2G. Sie können diese Dateien jedoch auch mit anderen üblichen Komprimierungsprogrammen wie z.B. WinZip™ öffnen und extrahieren.

Siehe auch...


Dialogfeld &bdquo;Konfiguration“ (Zip2Go)

Dialogfeld „Konfiguration“ (Zip2Go)

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Verwenden Sie dieses Dialogfeld, um Zip2Go-Standardwerte (wie den standardmäßigen Ausgabe-Ordner für .Z2G-Dateien, die Anzahl der Dateien in der Liste unter Datei, Letzte Dateien und welche Dateitypen im Zip2Go-Hauptfenster angezeigt werden sollen, wenn Sie sie doppelt anklicken) einzustellen und zu prüfen.

Weitere Informationen zu...


Dialogfeld &bdquo;Extrahieren“ (Zip2Go)

Dialogfeld „Extrahieren“ (Zip2Go)

Extrahieren Sie mit Hilfe dieses Dialogfelds Dateien aus Zip2Go-Dateien (.Z2G). Dieser Befehl steht nur dann zur Verfügung, wenn Sie die .Z2G Datei, aus der Sie Dateien extrahieren möchten, im Zip2Go-Hauptfenster geöffnet haben.

Verwenden Sie die Optionsschaltflächen im Dialogfeldbereich „Dateien“, um die Dateien auszuwählen, die Sie extrahieren möchten. Wählen Sie:

  • Dateien/Ordner selektieren – Extrahiert nur Dateien, die Sie im Zip2Go-Hauptfenster ausgewählt haben.

  • Alle Dateien/Ordner – Extrahiert alle Dateien in der geöffneten .Z2G Datei.

  • Dateien: – Geben Sie Dateinamen ein, um bestimmte Dateien zu extrahieren. (Windows Standard-Platzhalter können verwendet werden).

Wählen Sie dann den Ordner aus, in den die Dateien extrahiert werden sollen. Sie können in der Dialogfeldliste einen Ordner auswählen, im Feld Extrahiere nach einen Pfad angeben oder die Schaltfläche Neuen Ordner erstellen drücken, um einen neuen Ordner anzulegen.

Befinden sich Dateien mit demselben Namen in dem Ordner, in den Sie die Dateien extrahieren, können Sie durch Markieren der Kontrollkästchen unten rechts im Dialogfeld die folgenden Funktionen ausführen.

  • Existierende Dateien überschreiben ohne nachzufragen. Wenn dieses Kontrollkästchen nicht markiert ist, werden Dateien mit demselben Namen wie bereits vorhandene Dateien, nicht extrahiert.

  • Ältere Dateien überspringen. Markieren Sie dieses Kontrollkästchen, um Dateien aus dem Z2G-Ordner, die „älter“ sind, als die Dateien mit demselben Namen im Zielordner, zu überspringen (nicht zu extrahieren).

Markieren Sie das Kontrollkästchen Ordnernamen verwenden, um Ordnerbezeichnungen (Pfade) in der aktuellen .Z2G Datei beizubehalten. Wenn diese Option markiert ist, erstellt Zip2Go die Ordnerstruktur der .Z2G-Datei innerhalb des Zielordners neu. Wenn diese Option nicht markiert ist, extrahiert Zip2Go alle Dateien in den Zielordner, ohne deren Ordnerpositionen in der .Z2G Datei zu beachten.

Klicken Sie auf die Schaltfläche Extrahieren, um die Dateien zu extrahieren.


Zip2Go – Hauptfenster

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Verwenden Sie dieses Fenster zum Erstellen und Anzeigen von Zip2Go-Dateien (.Z2G). Sie können sowohl Dateien hinzufügen und löschen als auch die .Z2G-Textdateien einsehen.

Es stehen die folgenden Menüs im Zip2Go-Hauptfenster zur Verfügung:

Datei

Verwenden Sie dieses Menü zum Erstellen, Öffnen, Schließen, Verwalten (Verschieben, Kopieren, Umbenennen, Löschen), emailen und Anzeigen kürzlich verwendeter Zip2Go-Dateien. Sie können auch die Funktion „Beenden“ verwenden, um die Zip2Go-Funktion zu schließen und zu ihrer Mastercam-Sitzung zurückzukehren.

Wählen

Verwenden Sie dieses Menü zum Wählen und Abwählen aller Dateien in der aktuellen .Z2G Datei. Zusätzlich können Sie die Dateien unter Verwendung des Befehls „Gruppe selektieren“ nach Typ markieren, wobei Sie die Datei-Endung eingeben (z.B. *.txt) und alle Dateien mit dieser Endung daraufhin markiert werden.

Sie können auch die Auswahl der Dateien umkehren.

Befehl

Verwenden Sie dieses Menü, um markierte Dateien in einen Zielordner zu extrahieren, sie zu löschen und einzelne Dateien oder Dateiordner von einem anderen Speicherort hinzuzufügen. Sie können über dieses Menü auch auf die Dialogfelder Kommentar ändern (bzw. Dateikommentar) und Kennwort (wählen) zugreifen.

Konfiguration

Verwenden Sie dieses Menü, um das Dialogfeld „Konfiguration“ aufzurufen.

Hilfe

Verwenden Sie dieses Menü, um zur Zip2Go-Hilfe und zum Dialogfeld „About Zip2Go“ mit den Copyright-Informationen zu gelangen.

Hinweise:

  • Im Werkzeugweg-Manager muss mindestens eine Werkzeugweg-Operation existieren, wenn Sie Zip2Go starten. Wenn die aktuelle Teile-Datei keine Werkzeugwege enthält, steht nur die Option Konfigurationen (im Dialogfeldbereich „Dateioptionen“) zur Verfügung. In diesem Fall können Sie Zip2Go nur zum Packen der Konfigurationsdateien verwenden.

  • Anhand der Zip2Go-Funktion „Drag & Drop“ (Ziehen & Ablegen) können Sie Dateien aus dem Windows-Explorer in den Dateilistenbereich des Zip2Go-Hauptfensters ziehen.

  • Sie können jederzeit die Spalten im Dateilistenbereich neu anordnen oder die Größe des Fensters ändern. Neue Spaltenlayouts und Fenstergrößen werden ab diesem Zeitpunkt zu Voreinstellungen.

Weitere Informationen zu...